POST /kling/v1/videos/video-extend
Method: POSTEndpoint: /kling/v1/videos/video-extend
- Generate video This section contains endpoint-specific behavior, parameters, or usage notes for this API. This section contains endpoint-specific behavior, parameters, or usage notes for this API. Official Documentation:https://docs.qingque.cn/d/home/eZQClW07IFEuX1csc-VejdY2M#section=h.8fzev2i9nkje
Request Parameters
Header Parameters
text
Content-Type
string
Required
Example:
application/json
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}Body Parameters application/json
text
video_id
string
Required
prompt
string
Required
Example
{
"video_id"
:
"string"
,
"prompt"
:
"string"
}Example Request
Shell
bash
curl --location --request POST '/kling/v1/videos/video-extend' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
"video_id": "string",
"prompt": "string"
}'Response
🟢 200 Success
Content Type: application/json
Response Schema
text
objectExample
json
{
"code": 0,
"message": "SUCCEED",
"request_id": "CmJ8DGePZioAAAAAAFIvOQ",
"data": {
"task_id": "CmJ8DGePZioAAAAAAFIvOQ",
"task_status": "submitted",
"created_at": 1737628288136,
"updated_at": 1737628288136
}
}